Skip site navigation (1) Skip section navigation (2)

Re: pgsql: Add compat file for dynamically loading the functions that MinGW

From: Magnus Hagander <magnus(at)hagander(dot)net>
To: Hiroshi Saito <z-saito(at)guitar(dot)ocn(dot)ne(dot)jp>
Cc: pgsql-committers(at)postgresql(dot)org
Subject: Re: pgsql: Add compat file for dynamically loading the functions that MinGW
Date: 2007-10-31 08:22:26
Message-ID: 47283B42.8030000@hagander.net (view raw or flat)
Thread:
Lists: pgsql-committers
Hiroshi Saito wrote:
> Hi.
> 
>>
>> Grumble. This works perfectly fine on all three mingw installs I've
>> tested, as well as on all the buildfarm members.
>>
>> What version of mingw is this? Are you by any chance on a *really* old
>> one?
>>
>> Do those defines exist in the mingw include files on this one?
> 
> Ahh, Yes.
> I use version this.
> 
> msys-1.0.10
> mingw-runtime-3.9
> mingw-gcc-3.4.5
> 
> Sure, it is not defined.(WT_EXECUTEONLYONCE')..:-(
> It seems that a new version is needed shortly.
> Which do you recommend?


Can't seem to find any release notes, but download stats indicate that
runtime-3.9 is from sometime around 2005...

With the latest patch, we work with the current version. If you want to
be able to build 8.2 and earlier, you need to go backwards at least one
version because of the gettimeofday() issue. I think you should be able
to find some version references ni the archives somewhere.

//Magnus

In response to

Responses

pgsql-committers by date

Next:From: Peter EisentrautDate: 2007-10-31 10:55:25
Subject: pgsql: More precise error message
Previous:From: User MkzDate: 2007-10-31 07:41:44
Subject: plproxy - plproxy: simpler lineno init

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group